> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Process Data

> Endpoint for adding parametric & file data to process entries.



## OpenAPI

````yaml PUT /processes/entries/{process_entry_id}
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /processes/entries/{process_entry_id}:
    parameters:
      - schema:
          type: string
        name: process_entry_id
        in: path
        required: true
        description: Id for the process entry
    put:
      tags:
        - Processes
      summary: Add Process Data
      description: Endpoint for adding parametric & file data to process entries.
      operationId: put-processes-proces_id-instances-instance_id
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - dataset_id
              properties:
                type:
                  x-stoplight:
                    id: 6ksle9zysfog0
                  enum:
                    - TEXT
                    - NUMERICAL
                    - BOOLEAN
                    - FILE
                    - IMAGE
                    - DATETIME
                  description: ENUM to indicate what kind of data is being attached.
                dataset_id:
                  type: string
                  x-stoplight:
                    id: z340c4kmw929k
                  format: uuid
                  description: >-
                    Database id for the dataset that the data is associated
                    with. This is the id that is used to associate data across
                    component instances.
                value:
                  type:
                    - string
                    - number
                    - boolean
                  x-stoplight:
                    id: bvcdfkdj8552a
                  description: The value of the data being submitted
                expected_value:
                  x-stoplight:
                    id: 1i7zhbcdm76zx
                  type:
                    - string
                    - boolean
                  description: >-
                    Expected value. For boolean type data, if the value does not
                    match the expected value, the associated entry will be
                    marked as failing.
                usl:
                  type: number
                  x-stoplight:
                    id: x9rxvm3shutas
                  description: >-
                    ONLY FOR NUMBER TYPE DATA. Override the dataset's usl with a
                    user specified upper spec limit. If the value exceeds the
                    usl, the associated entry will be marked as failing.
                lsl:
                  type: number
                  x-stoplight:
                    id: 4j65xf3regqsy
                  description: >-
                    ONLY FOR NUMBER TYPE DATA. Override the dataset's lsl with a
                    user specified lower spec limit. If the value is lower than
                    the lsl, the associated data will be marked as failing.
                file_id:
                  type: string
                  x-stoplight:
                    id: qtg1yg4m9dnen
                  format: uuid
                  description: >-
                    Database id for file uploads. Can be found in the return
                    values for creating files at the files endpoint.
                file_name:
                  type: string
                  x-stoplight:
                    id: 764f4gm29rqgj
                  description: >-
                    NOTE: Serial's backend will use the file extension provided
                    here to determine the file type. Make sure your files have
                    accurate extensions! (For example, an image renamed from
                    `image.png` to `image.txt` will be treated as a text file)
                created_at:
                  type: string
                  x-stoplight:
                    id: xx4f4l85675v7
                  description: >-
                    The time when the data was uploaded to the database. Note
                    however that in the Serial App, we always use the process
                    entry completion timestamp for the purposes of sorting,
                    filtering and plotting. Generally we recommend not to set
                    this value and have the Serial backend set it automatically.
        description: ''
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````